## org.codehaus.groovy.grails.commons.metaclass
Interface DynamicProperty

All Known Implementing Classes:
  AbstractDynamicControllerProperty, AbstractDynamicProperty, ConstraintsDynamicProperty, ConstraintsEvaluatingDynamicProperty, GenericDynamicProperty, GetParamsDynamicProperty, WeakGenericDynamicProperty

    public interface DynamicProperty

A Dynamic class property getter interface

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Method Summary
`Object` `get(Object object)` Call the getter on the given object
`String` `getPropertyName()`
`boolean` `isPropertyMatch(String propertyName)` Whether the target class contains the specified property
`void` `set(Object object, Object newValue)` Call the setter on the given object

Method Detail

### isPropertyMatch

    boolean isPropertyMatch(String propertyName)

  Whether the target class contains the specified property

  Parameters:
    `propertyName` - The name of the property
  Returns:
    True if the class has the property

### get

    Object get(Object object)

  Call the getter on the given object

  Parameters:
    `object` - The target object
  Returns:
    The result of the getter

### set

    void set(Object object,
             Object newValue)

  Call the setter on the given object

  Parameters:
    `object` - The target object
    `newValue` - The new value of the property

### getPropertyName

    String getPropertyName()

  Returns:
    The name of the property

Copyright (c) 2005-2009 The Grails project